Last Comment Bug 663919 - Search machine icon missing in address field
: Search machine icon missing in address field
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Search (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.5
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
: 87998 236150 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-13 12:00 PDT by Glutton.Vidal
Modified: 2013-12-27 14:21 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Picture for Ratty (not on imageshack.us) (190.00 KB, image/jpeg)
2011-06-14 21:26 PDT, therube
no flags Details
Proposed patch (906 bytes, patch)
2011-07-09 04:17 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Review

Description Glutton.Vidal 2011-06-13 12:00:04 PDT
User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20110608 Firefox/4.0.1 SeaMonkey/2.1
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20110608 Firefox/4.0.1 SeaMonkey/2.1

In older versions (e.g. 2.0.14) You can see the icon of the search machine ...
honestly I was used to click on the right search button ... as this was removed I needed a long time till I realized it after using 2.0.14 since a long time again, that I have to click below the address field.
This would be clear obvious with the icon(as seen in the modified screen shot)
http://img829.imageshack.us/img829/9250/searchmachine.jpg



Reproducible: Always

Steps to Reproduce:
1. Give in a search word
2.Click below the address field
3.
Comment 1 Philip Chee 2011-06-13 12:46:47 PDT
Image Shack says I need to register to see that pic, but I think I know what you mean.
Comment 2 Glutton.Vidal 2011-06-13 16:40:19 PDT
Strange! I'm not registered there, and use it often for forums without access problems for others.
Comment 3 Philip Chee 2011-06-14 13:09:07 PDT
I live in a country that Image Shack doesn't like.
Comment 4 Philip Chee 2011-06-14 21:16:57 PDT
<RattyAway>
NeilAway: Bug 663919 is this intentional or an oversight on our part?
<NeilAway>
RattyAway: it's completely broken :-(
...

So can we fix it Bob?
Comment 5 therube 2011-06-14 21:26:52 PDT
Created attachment 539420 [details]
Picture for Ratty (not on imageshack.us)
Comment 6 neil@parkwaycc.co.uk 2011-07-09 04:17:20 PDT
Created attachment 544976 [details] [diff] [review]
Proposed patch

addEngine used to take an icon string. The iconURI is an nsIURI, not a string, and it may be null, so I null-check it and use its spec if it exists.
Comment 7 Ian Neal 2011-07-09 05:52:27 PDT
Comment on attachment 544976 [details] [diff] [review]
Proposed patch

r=me and a=me for any repos that need it.
Comment 8 neil@parkwaycc.co.uk 2011-07-09 08:35:54 PDT
Pushed changeset 24b8803d73c0 to comm-central.

Transplant required for comm-aurora and comm-beta, so setting checkin-needed.
Comment 10 Philip Chee 2011-12-14 10:46:45 PST
*** Bug 87998 has been marked as a duplicate of this bug. ***
Comment 11 Philip Chee 2012-07-06 09:20:49 PDT
*** Bug 236150 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.